{
  "codeName" : "Test2",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2/PSFORMS/Test2.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom",
    "actionName" : "GETDRAFTFROM",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraftfrom",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft",
    "actionName" : "GetDraft",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraft",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "logicName" : "Test2",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
  },
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BXD2ID",
      "codeName" : "BXD2Id"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BXD2NAME",
      "codeName" : "BXD2Name"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "type",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    }
  }, {
    "id" : "bxd2id",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BXD2ID",
      "codeName" : "BXD2Id"
    }
  }, {
    "id" : "mxcount",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "MXCOUNT",
      "codeName" : "MXcount"
    }
  }, {
    "id" : "updatedate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "createman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    }
  }, {
    "id" : "bxd2name",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BXD2NAME",
      "codeName" : "BXD2Name"
    }
  }, {
    "id" : "updateman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "id" : "createdate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "caption" : "报销类型",
      "codeName" : "type",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "type",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST",
        "name" : "type",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/UsrCodeList1225197182.json"
        },
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "needCodeListConfig" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "报销单2标识",
        "lanResTag" : "DEF.LNAME.BXD2ID",
        "lanResType" : "DEF.LNAME",
        "name" : "属性逻辑名称（DEF.LNAME.*）[BXD2ID]",
        "refFlag" : true
      },
      "caption" : "报销单2标识",
      "codeName" : "bxd2id",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "bxd2id",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BXD2ID",
        "codeName" : "BXD2Id"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "bxd2id",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "属性",
        "lanResTag" : "DEF.LNAME.MXCOUNT",
        "lanResType" : "DEF.LNAME",
        "name" : "属性逻辑名称（DEF.LNAME.*）[MXCOUNT]",
        "refFlag" : true
      },
      "caption" : "属性",
      "codeName" : "mxcount",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "mxcount",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "MXCOUNT",
        "codeName" : "MXcount"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "mxcount"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "更新时间",
        "lanResTag" : "DEF.LNAME.UPDATEDATE",
        "lanResType" : "DEF.LNAME",
        "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEDATE]",
        "refFlag" : true
      },
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "updatedate",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "建立人",
        "lanResTag" : "DEF.LNAME.CREATEMAN",
        "lanResType" : "DEF.LNAME",
        "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEMAN]",
        "refFlag" : true
      },
      "caption" : "建立人",
      "codeName" : "createman",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "createman",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "createman",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "convertToCodeItemText" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "报销单2名称",
        "lanResTag" : "DEF.LNAME.BXD2NAME",
        "lanResType" : "DEF.LNAME",
        "name" : "属性逻辑名称（DEF.LNAME.*）[BXD2NAME]",
        "refFlag" : true
      },
      "caption" : "报销单2名称",
      "codeName" : "bxd2name",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "bxd2name",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BXD2NAME",
        "codeName" : "BXD2Name"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 200,
        "name" : "bxd2name"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "更新人",
        "lanResTag" : "DEF.LNAME.UPDATEMAN",
        "lanResType" : "DEF.LNAME",
        "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEMAN]",
        "refFlag" : true
      },
      "caption" : "更新人",
      "codeName" : "updateman",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "updateman",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "convertToCodeItemText" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "建立时间",
        "lanResTag" : "DEF.LNAME.CREATEDATE",
        "lanResType" : "DEF.LNAME",
        "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEDATE]",
        "refFlag" : true
      },
      "caption" : "建立时间",
      "codeName" : "createdate",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "createdate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "createdate",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "allowEmpty" : true,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "noTabHeader" : true,
  "modelid" : "63680324-80B4-4699-A194-C72941BCA369",
  "modeltype" : "PSDEFORM_EDITFORM"
}